List projects' counts

Returns a list of projects with their counts. For example, task_number which is the total task number in project

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Query parameters

filterstringOptionalDefaults to all

Filter projects by pinned status. Use ‘pinned_only’ to return only pinned projects, ‘exclude_pinned’ to return only non-pinned projects, or ‘all’ to return all projects.

idsstringOptional
Filter id by in list
includestringOptional

Comma-separated list of count fields to include in the response to optimize performance. Available fields: task_number, finished_task_number, total_predictions_number, total_annotations_number, num_tasks_with_annotations, useful_annotation_number, ground_truth_number, skipped_annotations_number. If not specified, all count fields are included.

orderingstringOptional
Which field to use when ordering the results.
pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
searchstringOptional
Search term for project title and description
statestringOptional

Filter current_state by exact match

titlestringOptional

Filter title by contains (case-insensitive)

workspacesdoubleOptional
Filter workspaces by exact match

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"